CCS C Software and Maintenance Offers
FAQFAQ   FAQForum Help   FAQOfficial CCS Support   SearchSearch  RegisterRegister 

ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

CCS does not monitor this forum on a regular basis.

Please do not post bug Reports on this forum. Send them to support@ccsinfo.com

PIC24FJ256GA705 build error with CCS compiler

 
Post new topic   Reply to topic    CCS Forum Index -> General CCS C Discussion
View previous topic :: View next topic  
Author Message
Mrinmoy Dey



Joined: 23 Jan 2018
Posts: 37

View user's profile Send private message

PIC24FJ256GA705 build error with CCS compiler
PostPosted: Mon Sep 27, 2021 6:20 am     Reply with quote

Hello All,
I am using PIC24FJ256GA705 and my compiler version is 5.083. But with a very initial stage I face build error like below -

make -f nbproject/Makefile-default.mk SUBPROJECTS= .build-conf
make[1]: *** No rule to make target '.build-conf'. Stop.
make: *** [.build-impl] Error 2
make[1]: Entering directory 'E:/Mrinmoy/Projects/SmartLink/03_TestCode/TestProg3/Test_PIC_CCS.X'
make[1]: Leaving directory 'E:/Mrinmoy/Projects/SmartLink/03_TestCode/TestProg3/Test_PIC_CCS.X'
nbproject/Makefile-impl.mk:39: recipe for target '.build-impl' failed

BUILD FAILED (exit value 2, total time: 121ms)

Do not have any idea what kind of error is this or any clue to solve..please guide.

Thanks in advance.
Ttelmah



Joined: 11 Mar 2010
Posts: 17468

View user's profile Send private message

PostPosted: Mon Sep 27, 2021 7:46 am     Reply with quote

You are using MPLAB, so not really a CCS problem....
However the commonest thing that causes this is having things other
than the actual main code file in the project file list.

Generally the best way to work with MPLAB, is to ensure that your main
file #includes everything it needs to, and _only_ put this one file into the
'source files' tab.

You will get your error, if it is trying to actually compile any file that is
not actually 'compilable'. So if a .h file is included in the project list, or
if a .c file that is not meant to be compiled except inside another file, is in
the list.
Mrinmoy Dey



Joined: 23 Jan 2018
Posts: 37

View user's profile Send private message

PostPosted: Tue Sep 28, 2021 1:57 am     Reply with quote

@Ttelmah

Got the actual problem, It can not generate the make file. Search and read a lot
but not able to resolve the problem still. Anyone, any clue in this regard is very much needful and appreciated.

Thanks in advance.
Ttelmah



Joined: 11 Mar 2010
Posts: 17468

View user's profile Send private message

PostPosted: Tue Sep 28, 2021 2:39 am     Reply with quote

Have you installed the newest plug-in?.
This is needed if you have the latest version of MPLAB.
Not having this will give a make error like you are seeing.
Mrinmoy Dey



Joined: 23 Jan 2018
Posts: 37

View user's profile Send private message

PostPosted: Tue Sep 28, 2021 3:01 am     Reply with quote

@Ttelmah

Yes, I have the latest version of MPLAB i.e. 5.50 and CCS version is 5.083.
After tried all possible ways I read at last I uninstall the plug-in and CCS compiler and then re-install both but still shows the same error.

Configuration loading error tab showing -

Could not generate makefiles for configuration default.

Exception during attempted creation of a runtime properties class: null caused by Runtime class name - org.ccs.MPLABXplug.properties.CompilerSelectionProperties
Errors have occurred while loading one or more configurations.
If a specific error is not shown above, this may happen when you import a project from another computer.
+ You can add language tools in Tools->Options embedded tab.
+ You can change which language tool to use in the project properties dialog.

Project build tab showing -
No rule to make target error.

If any other newer plug-in is there please recommend.

Thanks in advance.
jeremiah



Joined: 20 Jul 2010
Posts: 1247

View user's profile Send private message

PostPosted: Tue Sep 28, 2021 10:41 am     Reply with quote

Mrinmoy Dey wrote:
@Ttelmah

Yes, I have the latest version of MPLAB i.e. 5.50 and CCS version is 5.083.
After tried all possible ways I read at last I uninstall the plug-in and CCS compiler and then re-install both but still shows the same error.


Ttelmah asked if you had installed the latest version of the plugin. What is the plugin version you are installing?
Ttelmah



Joined: 11 Mar 2010
Posts: 17468

View user's profile Send private message

PostPosted: Tue Sep 28, 2021 12:04 pm     Reply with quote

Yes. Only Version 5.105, has the new plug in. It is available for download
from the CCS site. 5.50, _requires_ this newer plug-in. You will get the
fault you are describing, unless you have this plug in, if you try to use
5.50 with any older compiler.
Display posts from previous:   
Post new topic   Reply to topic    CCS Forum Index -> General CCS C Discussion All times are GMT - 6 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group